
set(TEST_GENERATED_EXE "${MYCMAKE_CTEST_TEST_NAME}${CMAKE_EXECUTABLE_SUFFIX}")
set(TEST_GENERATED_WORKING_DIRECTORY "${CMAKE_INSTALL_BINDIR}")
if (MYCMAKE_OS_IS_WINDOWS)
    set(TEST_GENERATED_PDB "bin/${MYCMAKE_CTEST_TEST_NAME}.pdb")
endif (MYCMAKE_OS_IS_WINDOWS)

set(TEST_GENERATED_FILES
    "${TEST_GENERATED_WORKING_DIRECTORY}/${TEST_GENERATED_EXE}"
    "${CMAKE_INSTALL_DATAROOTDIR}/cmake/${MYCMAKE_CTEST_TEST_NAME}Targets.cmake"
    "${TEST_BINARY_DIR}/${MYCMAKE_CTEST_TEST_NAME}Targets.cmake"
    ${TEST_GENERATED_PDB}
)

set(TEST_NOT_GENERATED_FILES
    "src/test_compiler_warnings.cc"
)
